/*****************************************************************************
 *
 * MODULE:              Intelligent Peripheral Interface
 *
 * COMPONENT:           $RCSfile: $
 *
 * VERSION:             $Name:  $
 *
 * REVISION:            $Revision: $
 *
 * DATED:               $Date: $
 *
 * STATUS:              $State: $
 *
 * AUTHOR:              Mozammul Ahmed
 *
 * DESCRIPTION:
 * Example of an IP mode interface on the host side.
 *
 * LAST MODIFIED BY:    $Author:  $
 *                      $Modtime: $
 *
 ****************************************************************************
 *
 *  (c) Copyright JENNIC Ltd 2005
 *
 ****************************************************************************/

#ifndef  IP_H_INCLUDED
#define  IP_H_INCLUDED

#if defined __cplusplus
extern "C" {
#endif

/****************************************************************************/
/***        Include Files                                                 ***/
/****************************************************************************/

#include <jendefs.h>

/****************************************************************************/
/***        Macro Definitions                                             ***/
/****************************************************************************/

/****************************************************************************/
/***        Type Definitions                                              ***/
/****************************************************************************/

typedef void (*PR_IP_APPCALLBACK)(uint8 u8Length, uint8 *pau8Data);

/****************************************************************************/
/***        Exported Functions                                            ***/
/****************************************************************************/

PUBLIC void     vIP_Init(void);
PUBLIC bool_t   bIP_MsgPrepare(uint8 u8Length, uint8 *pau8Data);
PUBLIC void     vIP_RegisterCallback(PR_IP_APPCALLBACK prIpCallback);
PUBLIC void     vIP_Communicate(void);

/****************************************************************************/
/***        Exported Variables                                            ***/
/****************************************************************************/

#if defined __cplusplus
}
#endif

#endif  /* IP_H_INCLUDED */

/****************************************************************************/
/***        END OF FILE                                                   ***/
/****************************************************************************/

